# CEGUI::String::iterator Class Reference

Forward iterator class for String objects. More...

Inheritance diagram for CEGUI::String::iterator:

[legend]
Collaboration diagram for CEGUI::String::iterator:

[legend]
List of all members.

## Public Member Functions

| iterator (pointer ptr)
reference | operator * () const
pointer | operator-> () const
iterator & | operator++ ()
iterator | operator++ (int)
iterator & | operator-- ()
iterator | operator-- (int)
iterator & | operator+= (difference_type offset)
iterator | operator+ (difference_type offset) const
iterator & | operator-= (difference_type offset)
iterator | operator- (difference_type offset) const
difference_type | operator- (const const_iterator &iter) const
reference | operator[] (difference_type offset) const

## Friends

iterator | operator+ (difference_type offset, const iterator &iter)

## Detailed Description

Forward iterator class for String objects.